# wxTextAttrBorders Class Reference
[Rich Text]

`#include <wx/richtext/richtextbuffer.h>`

## Detailed Description

A class representing a rich text object's borders.

##

Library: wxRichText

Category: Rich Text

See also:
  wxRichTextAttr, wxRichTextCtrl, wxRichTextAttrBorder

## Public Member Functions
| wxTextAttrBorders ()
| Default constructor.
bool | operator== (const wxTextAttrBorders &borders) const
| Equality operator.
void | SetStyle (int style)
| Sets the style of all borders.
void | SetColour (unsigned long colour)
| Sets colour of all borders.
void | SetColour (const wxColour &colour)
| Sets the colour for all borders.
void | SetWidth (const wxTextAttrDimension &width)
| Sets the width of all borders.
void | SetWidth (int value, wxTextAttrUnits units=wxTEXT_ATTR_UNITS_TENTHS_MM)
| Sets the width of all borders.
void | Reset ()
| Resets all borders.
bool | EqPartial (const wxTextAttrBorders &borders) const
| Partial equality test.
bool | Apply (const wxTextAttrBorders &borders, const wxTextAttrBorders *compareWith=NULL)
| Applies border to this object, but not if the same as compareWith.
bool | RemoveStyle (const wxTextAttrBorders &attr)
| Removes the specified attributes from this object.
void | CollectCommonAttributes (const wxTextAttrBorders &attr, wxTextAttrBorders &clashingAttr, wxTextAttrBorders &absentAttr)
| Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.
bool | IsValid () const
| Returns true if all borders are valid.
const wxTextAttrBorder & | GetLeft () const
| Returns the left border.
wxTextAttrBorder & | GetLeft ()
const wxTextAttrBorder & | GetRight () const
| Returns the right border.
wxTextAttrBorder & | GetRight ()
const wxTextAttrBorder & | GetTop () const
| Returns the top border.
wxTextAttrBorder & | GetTop ()
const wxTextAttrBorder & | GetBottom () const
| Returns the bottom border.
wxTextAttrBorder & | GetBottom ()
## Public Attributes
wxTextAttrBorder | m_left
wxTextAttrBorder | m_right
wxTextAttrBorder | m_top
wxTextAttrBorder | m_bottom

List of all members.

## Constructor & Destructor Documentation

wxTextAttrBorders::wxTextAttrBorders | ( |  | ) | `[inline]`

Default constructor.

## Member Function Documentation

bool wxTextAttrBorders::Apply | ( | const wxTextAttrBorders & | borders,
|  | const wxTextAttrBorders * | compareWith = `NULL` |
| ) |  |  |

Applies border to this object, but not if the same as compareWith.

void wxTextAttrBorders::CollectCommonAttributes | ( | const wxTextAttrBorders & | attr,
|  | wxTextAttrBorders & | clashingAttr,
|  | wxTextAttrBorders & | absentAttr |
| ) |  |  |

Collects the attributes that are common to a range of content, building up a note of which attributes are absent in some objects and which clash in some objects.

bool wxTextAttrBorders::EqPartial | ( | const wxTextAttrBorders & | borders | ) | const

Partial equality test.

wxTextAttrBorder& wxTextAttrBorders::GetBottom | ( |  | ) | `[inline]`

const wxTextAttrBorder& wxTextAttrBorders::GetBottom | ( |  | ) | const`[inline]`

Returns the bottom border.

wxTextAttrBorder& wxTextAttrBorders::GetLeft | ( |  | ) | `[inline]`

const wxTextAttrBorder& wxTextAttrBorders::GetLeft | ( |  | ) | const`[inline]`

Returns the left border.

wxTextAttrBorder& wxTextAttrBorders::GetRight | ( |  | ) | `[inline]`

const wxTextAttrBorder& wxTextAttrBorders::GetRight | ( |  | ) | const`[inline]`

Returns the right border.

wxTextAttrBorder& wxTextAttrBorders::GetTop | ( |  | ) | `[inline]`

const wxTextAttrBorder& wxTextAttrBorders::GetTop | ( |  | ) | const`[inline]`

Returns the top border.

bool wxTextAttrBorders::IsValid | ( |  | ) | const`[inline]`

Returns true if all borders are valid.

bool wxTextAttrBorders::operator== | ( | const wxTextAttrBorders & | borders | ) | const`[inline]`

Equality operator.

bool wxTextAttrBorders::RemoveStyle | ( | const wxTextAttrBorders & | attr | ) |

Removes the specified attributes from this object.

void wxTextAttrBorders::Reset | ( |  | ) | `[inline]`

Resets all borders.

void wxTextAttrBorders::SetColour | ( | const wxColour & | colour | ) |

Sets the colour for all borders.

void wxTextAttrBorders::SetColour | ( | unsigned long | colour | ) |

Sets colour of all borders.

void wxTextAttrBorders::SetStyle | ( | int | style | ) |

Sets the style of all borders.

void wxTextAttrBorders::SetWidth | ( | int | value,
|  | wxTextAttrUnits | units = `wxTEXT_ATTR_UNITS_TENTHS_MM` |
| ) |  |  | `[inline]`

Sets the width of all borders.

void wxTextAttrBorders::SetWidth | ( | const wxTextAttrDimension & | width | ) |

Sets the width of all borders.

## Member Data Documentation

wxTextAttrBorder wxTextAttrBorders::m_bottom

wxTextAttrBorder wxTextAttrBorders::m_left

wxTextAttrBorder wxTextAttrBorders::m_right

wxTextAttrBorder wxTextAttrBorders::m_top

|  | [ top ]